summaryrefslogtreecommitdiff
path: root/dev-python/sphobjinv
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-09-24 01:40:47 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-09-24 01:40:47 +0000
commitbdc42437e49a420c12cec64ea4d292e9d5621776 (patch)
tree729d265b9b8bb2f1cefa2cbd018fc230d2a296c2 /dev-python/sphobjinv
parent8a9c09bbf26b3256b18708e266223e16f47b4eea (diff)
downloadbaldeagleos-repo-bdc42437e49a420c12cec64ea4d292e9d5621776.tar.gz
baldeagleos-repo-bdc42437e49a420c12cec64ea4d292e9d5621776.tar.xz
baldeagleos-repo-bdc42437e49a420c12cec64ea4d292e9d5621776.zip
Adding metadata
Diffstat (limited to 'dev-python/sphobjinv')
-rw-r--r--dev-python/sphobjinv/sphobjinv-2.1-r1.ebuild48
1 files changed, 48 insertions, 0 deletions
diff --git a/dev-python/sphobjinv/sphobjinv-2.1-r1.ebuild b/dev-python/sphobjinv/sphobjinv-2.1-r1.ebuild
new file mode 100644
index 000000000000..827393c4397e
--- /dev/null
+++ b/dev-python/sphobjinv/sphobjinv-2.1-r1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Sphinx objects.inv Inspection/Manipulation Tool"
+HOMEPAGE="
+ https://github.com/bskinn/sphobjinv/
+ https://pypi.org/project/sphobjinv/
+"
+SRC_URI="https://github.com/bskinn/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+
+RDEPEND="
+ >=dev-python/attrs-19.2[${PYTHON_USEDEP}]
+ dev-python/certifi[${PYTHON_USEDEP}]
+ >=dev-python/fuzzywuzzy-0.8[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-python/dictdiffer[${PYTHON_USEDEP}]
+ dev-python/pytest-check[${PYTHON_USEDEP}]
+ dev-python/pytest-ordering[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ >=dev-python/stdio-mgr-1.0.1[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/timeout-decorator[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests --install pytest
+distutils_enable_sphinx doc/source \
+ dev-python/sphinx_rtd_theme \
+ dev-python/sphinx-issues \
+ dev-python/sphinxcontrib-programoutput
+
+python_prepare_all() {
+ # --strict option is deprecated in pytest>6
+ sed -i -e '/addopts/d' tox.ini || die
+
+ distutils-r1_python_prepare_all
+}